JUnitTask.ForkMode (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.ForkMode,JUnitTask.ForkMode class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class JUnitTask.ForkMode

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.ForkMode

Enclosing class:
  JUnitTask

public static final class JUnitTask.ForkMode
extends EnumeratedAttribute

These are the different forking options

Since:
  1.6.2

Field Summary
`static java.lang.String` | `ONCE` fork once only
`static java.lang.String` | `PER_BATCH` fork once per batch of tests
`static java.lang.String` | `PER_TEST` fork once per test class

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JUnitTask.ForkMode()`
`JUnitTask.ForkMode(java.lang.String value)`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ONCE

    public static final java.lang.String ONCE

  fork once only

  See Also:
    Constant Field Values

### PER_TEST

    public static final java.lang.String PER_TEST

  fork once per test class

  See Also:
    Constant Field Values

### PER_BATCH

    public static final java.lang.String PER_BATCH

  fork once per batch of tests

  See Also:
    Constant Field Values

Constructor Detail

### JUnitTask.ForkMode

    public JUnitTask.ForkMode()

### JUnitTask.ForkMode

    public JUnitTask.ForkMode(java.lang.String value)

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.